Groovy Documentation

## org.codehaus.groovy.classgen
[Java] Class InnerClassVisitorHelper

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.InnerClassVisitorHelper

    public abstract class InnerClassVisitorHelper
    extends ClassCodeVisitorSupport

Method Summary
`protected static void` | `addFieldInit(Parameter p, FieldNode fn, BlockStatement block)`
`protected static ClassNode` | `getClassNode(ClassNode node, boolean isStatic)`
`protected static int` | `getObjectDistance(ClassNode node)`
`protected static boolean` | `isStatic(InnerClassNode node)`
`protected static void` | `setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected static void` | `setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected static void` | `setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`

Methods inherited from class ClassCodeVisitorSupport

addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop

Methods inherited from class CodeVisitorSupport

visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addFieldInit

    protected static void addFieldInit(Parameter p, FieldNode fn, BlockStatement block)

### getClassNode

    protected static ClassNode getClassNode(ClassNode node, boolean isStatic)

### getObjectDistance

    protected static int getObjectDistance(ClassNode node)

### isStatic

    protected static boolean isStatic(InnerClassNode node)

### setMethodDispatcherCode

    protected static void setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)

### setPropertyGetterDispatcher

    protected static void setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)

### setPropertySetterDispatcher

    protected static void setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)

Groovy Documentation